OpenJPEG 2.3.0

Functions | Variables
mct.c File Reference
`#include "opj_includes.h"`

## Functions
const OPJ_FLOAT64 * | opj_mct_get_mct_norms ()
| FIXME DOC More...
const OPJ_FLOAT64 * | opj_mct_get_mct_norms_real ()
| FIXME DOC More...
void | opj_mct_encode (OPJ_INT32 *OPJ_RESTRICT c0, OPJ_INT32 *OPJ_RESTRICT c1, OPJ_INT32 *OPJ_RESTRICT c2, OPJ_SIZE_T n)
| Apply a reversible multi-component transform to an image More...
void | opj_mct_decode (OPJ_INT32 *OPJ_RESTRICT c0, OPJ_INT32 *OPJ_RESTRICT c1, OPJ_INT32 *OPJ_RESTRICT c2, OPJ_SIZE_T n)
| Apply a reversible multi-component inverse transform to an image More...
OPJ_FLOAT64 | opj_mct_getnorm (OPJ_UINT32 compno)
| Get norm of the basis function used for the reversible multi-component transform More...
void | opj_mct_encode_real (OPJ_INT32 *OPJ_RESTRICT c0, OPJ_INT32 *OPJ_RESTRICT c1, OPJ_INT32 *OPJ_RESTRICT c2, OPJ_SIZE_T n)
| Apply an irreversible multi-component transform to an image More...
void | opj_mct_decode_real (OPJ_FLOAT32 *OPJ_RESTRICT c0, OPJ_FLOAT32 *OPJ_RESTRICT c1, OPJ_FLOAT32 *OPJ_RESTRICT c2, OPJ_SIZE_T n)
| Apply an irreversible multi-component inverse transform to an image More...
OPJ_FLOAT64 | opj_mct_getnorm_real (OPJ_UINT32 compno)
| Get norm of the basis function used for the irreversible multi-component transform More...
OPJ_BOOL | opj_mct_encode_custom (OPJ_BYTE *pCodingdata, OPJ_SIZE_T n, OPJ_BYTE **pData, OPJ_UINT32 pNbComp, OPJ_UINT32 isSigned)
| FIXME DOC More...
OPJ_BOOL | opj_mct_decode_custom (OPJ_BYTE *pDecodingData, OPJ_SIZE_T n, OPJ_BYTE **pData, OPJ_UINT32 pNbComp, OPJ_UINT32 isSigned)
| FIXME DOC More...
void | opj_calculate_norms (OPJ_FLOAT64 *pNorms, OPJ_UINT32 pNbComps, OPJ_FLOAT32 *pMatrix)
| FIXME DOC More...

## Variables
static const OPJ_FLOAT64 | opj_mct_norms [3] = { 1.732, .8292, .8292 }
static const OPJ_FLOAT64 | opj_mct_norms_real [3] = { 1.732, 1.805, 1.573 }

## Variable Documentation

## ◆ opj_mct_norms

const OPJ_FLOAT64 opj_mct_norms[3] = { 1.732, .8292, .8292 }
| static

Referenced by opj_mct_get_mct_norms(), and opj_mct_getnorm().

## ◆ opj_mct_norms_real

const OPJ_FLOAT64 opj_mct_norms_real[3] = { 1.732, 1.805, 1.573 }
| static

Referenced by opj_mct_get_mct_norms_real(), and opj_mct_getnorm_real().